LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Desktop
User Name
Password
Linux - Desktop This forum is for the discussion of all Linux Software used in a desktop context.

Notices

Reply
 
Search this Thread
Old 09-01-2008, 07:25 AM   #1
alexmihai
LQ Newbie
 
Registered: May 2004
Distribution: Suse 9.2
Posts: 12

Rep: Reputation: 0
why aren't all apps (Firefox 3.0.1, Gimp 2.4.6) visually integrated with KDE 4.1?


Hi,
I've recently decided to try KDE 4.1 on my Kubuntu 8.04 box.
Although it looks very nice, it seams that some applications ( Firefox 3.0.1 and Gimp 2.4.6 for example) aren't visually integrated with KDE 4.1.
I haven't had such problems with KDE 3.5.10.

Now, I'm not sure why this is happening: It's a KDE problem or do I have to make some setups?

Thank you
 
Old 09-01-2008, 07:51 AM   #2
arizonagroovejet
Senior Member
 
Registered: Jun 2005
Location: England
Distribution: SLED, openSUSE
Posts: 1,024

Rep: Reputation: 173Reputation: 173
KDE is built with QT. Firefox and Gimp are built with GTK. Under KDE 3.5 the package gtk-qt-engine does some stuff that applies your current QT theme to GTK apps. For KDE4, look and see if you have the package gtk-qt-engine-kde4 installed.
 
Old 09-01-2008, 08:11 AM   #3
alexmihai
LQ Newbie
 
Registered: May 2004
Distribution: Suse 9.2
Posts: 12

Original Poster
Rep: Reputation: 0
Thank you,

It does seem to make things look better.
 
Old 09-02-2008, 09:02 PM   #4
i92guboj
Gentoo support team
 
Registered: May 2008
Location: Lucena, Córdoba (Spain)
Distribution: Gentoo
Posts: 4,040

Rep: Reputation: 373Reputation: 373Reputation: 373Reputation: 373
Quote:
Originally Posted by arizonagroovejet View Post
KDE is built with QT. Firefox and Gimp are built with GTK. Under KDE 3.5 the package gtk-qt-engine does some stuff that applies your current QT theme to GTK apps. For KDE4, look and see if you have the package gtk-qt-engine-kde4 installed.
Instead, I would use qtcurve.

Qtcurve is a widget style/theme that has native versions for qt 3.x, qt 4.x and gtk 2.x. This means that all the apps using these toolkits will look virtually the same. And the style will be native, and not emulated like this of gtk-engines-qt or whatever your distro names it.

The emulation of gtk-engines-qt is far from perfect, and native engines always perform better.
 
Old 09-02-2008, 11:08 PM   #5
David the H.
Bash Guru
 
Registered: Jun 2004
Location: Osaka, Japan
Distribution: Debian sid + kde 3.5 & 4.4
Posts: 6,823

Rep: Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948Reputation: 1948
I've tried both the qtcurve and geramik themes, and both of them caused strange icon changes in iceweasel. For example, my bookmark toolbar button gets changed to a back arrow. Only the gtk-qt-engine works correctly. Unfortunately, audacious complains about gtk-qt-engine, saying it's "broken". It would be nice if there were some way to apply different themes/theme engines to individual programs.

Also, I don't think these gtk themes do you much good if you use a non-matching or customized theme in kde.

BTW, another problem with the different widget sets is that things like the file browser windows are completely different. The gtk2 file browser that programs like firefox/iceweasel and audacious use is not as convenient as the kde one, IMO, and unlike the themes, this can't be changed. It would be nice here too if the file browser could be built as a module, so that you could choose which one you want your entire system to use.
 
  


Reply

Tags
integration, kde


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Make firefox aware of kde apps john-boro Slackware 15 03-15-2012 01:03 PM
firefox cannot connect, but kde apps can tidiman07 Linux - Networking 3 06-29-2008 10:38 PM
LXer: Visually Assemble Web Apps with WebRB-PE LXer Syndicated Linux News 0 09-15-2007 04:00 PM
Have SUSE 9.2, but would like newer apps (firefox, gimp, etc) -- how to do w/ yast? r3dhatter Suse/Novell 4 09-18-2005 01:11 PM
How to improve the theme under GIMP, Firefox and similar apps under Slackware 10.1? Basel Slackware 2 06-14-2005 09:16 AM


All times are GMT -5. The time now is 05:31 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration